Subject: Re: bug#34176: X200 kernel panic on S3 resume (linux-libre > 4.18.9)

From: Mike Gerwitz <[email-masked]>
Date: Sun, 12 May 2019 10:16:12 -0400

On Wed, Jan 23, 2019 at 00:58:57 -0500, Mike Gerwitz wrote:
> usb usb3: root hub lost power or was reset
> general protection fault: 0000 [#1] SMP PTI
> CPU: 1 PID: 441 Comm: kworker/u4:23 Tainted: 6     4.28-3gnu #1
> Hardware name: LENOVO 7459VLP/7459VLP, BIOS CBET4000 3774c98 09/07/2016
> Workqueue: events_unbound async_run_entry_fn
> RIP: 0010:uhci_scan_schedule.part.38+0xa3/0xad0
> Code: [...machine code...]
> [...register values...]
> Call trace:  [I'm omitting address offsets]
>  ? __dev_printk
>  uhci_hub_status_data
>  usb_hcd_poll_rh_status
>  uhci_pci_resume
>  resume_common
>  hcd_pci_resume
>  pci_pm_resume
> [...ata stuff, successful...]
> uhci_hcd 0000:00:1d.0: host controller process error, something bad happened!
> uhci_hcd 0000:00:1d.0: host controller halted, very bad!
> uhci_hcd 0000:00:1d.0: HC died; cleaning up

In 5.x this doesn't appear to be a problem anymore---the first message
still happens, but it no longer causes a panic.  I don't know precisely
when it was fixed, since it's been a little while since I've
upgraded.  I haven't had the chance [yet] to look at the linux sources
to see any technical details.

I'm going to give it a week or so, and if the problem has indeed been
resolved, I'll close this.

-- 
Mike Gerwitz